{
*******************************************************************
*******************************************************************
**                      EmbeddedGNU                              **
**                                                               **
** Copyright Eric Engler.                                        **
** UNDER THE GNU GENERAL PUBLIC LICENSE. See Copying.txt before  **
** modifiyng or distributing the sources and binaries.           **
**                                                               **
** Eric Engler                                                   **
** email: englere.geo@yahoo.com                                  **
** http://www.geocities.com/SiliconValley/Network/2114/          **
*******************************************************************
*******************************************************************
}
unit PrintPreviewFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SynEditPrintPreview, ComCtrls, ImgList, ToolWin;

type
  TPrintPreviewForm = class(TForm)
    PrintPreview: TSynEditPrintPreview;
    ToolBar1: TToolBar;
    ImageList1: TImageList;
    tbFirst: TToolButton;
    tbBack: TToolButton;
    tbNext: TToolButton;
    tbLast: TToolButton;
    ToolButton5: TToolButton;
    tbZoomOut: TToolButton;
    tbZoomIn: TToolButton;
    ToolButton8: TToolButton;
    tbClose: TToolButton;
    procedure FirstBtnClick(Sender: TObject);
    procedure BackBtnClick(Sender: TObject);
    procedure NextBtnClick(Sender: TObject);
    procedure LastBtnClick(Sender: TObject);
    procedure ZoomOutBtnClick(Sender: TObject);
    procedure ZoomInBtnClick(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PrintPreviewForm: TPrintPreviewForm;

implementation

{$R *.DFM}

procedure TPrintPreviewForm.FirstBtnClick(Sender: TObject);
begin
  PrintPreview.FirstPage;
end;

procedure TPrintPreviewForm.BackBtnClick(Sender: TObject);
begin
  PrintPreview.PreviousPage;
end;

procedure TPrintPreviewForm.NextBtnClick(Sender: TObject);
begin
  PrintPreview.NextPage;
end;

procedure TPrintPreviewForm.LastBtnClick(Sender: TObject);
begin
  PrintPreview.LastPage;
end;

procedure TPrintPreviewForm.ZoomOutBtnClick(Sender: TObject);
begin
  PrintPreview.ScalePercent := PrintPreview.ScalePercent - 15;
end;

procedure TPrintPreviewForm.ZoomInBtnClick(Sender: TObject);
begin
  PrintPreview.ScalePercent := PrintPreview.ScalePercent + 15;
end;

procedure TPrintPreviewForm.CloseBtnClick(Sender: TObject);
begin
  Close;
end;

end.
