{
The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.
}

program AsmIDE;

uses
  Forms,
  frmMain in 'frmMain.pas' {MainForm},
  uEditAppIntfs in 'uEditAppIntfs.pas',
  frmEditor in 'frmEditor.pas' {EditorForm},
  dmCommands in 'dmCommands.pas' {CommandsDataModule: TDataModule},
  uHighlighterProcs in 'uHighlighterProcs.pas',
  dlgSearchText in 'dlgSearchText.pas' {TextSearchDialog},
  dlgReplaceText in 'dlgReplaceText.pas' {TextReplaceDialog},
  dlgConfirmReplace in 'dlgConfirmReplace.pas' {ConfirmReplaceDialog},
  frmHelp6812 in 'frmHelp6812.pas' {Help6812},
  frmOptions in 'frmOptions.pas' {OptionsForm},
  frmAbout in 'frmAbout.pas' {AboutBox},
  Wytecu in 'Wytecu.pas' {frmWytec},
  PrinterFrm in 'PrinterFrm.pas' {Printer},
  PrintPreviewFrm in 'PrintPreviewFrm.pas' {PrintPreviewForm};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'AsmIDE';
  Application.HelpFile := 'ASMIDE.HLP';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(THelp6812, Help6812);
  Application.CreateForm(TfrmWytec, frmWytec);
  Application.CreateForm(TPrinter, Printer);
  Application.CreateForm(TPrintPreviewForm, PrintPreviewForm);
  Application.Run;
end.

