object Help6812: THelp6812
  Left = 354
  Top = 104
  BorderStyle = bsDialog
  Caption = '6811/6812 Instructions'
  ClientHeight = 426
  ClientWidth = 316
  Color = clBtnFace
  ParentFont = True
  FormStyle = fsStayOnTop
  OldCreateOrder = True
  Position = poScreenCenter
  PixelsPerInch = 96
  TextHeight = 13
  object Panel1: TPanel
    Left = 0
    Top = 385
    Width = 316
    Height = 41
    Align = alBottom
    TabOrder = 0
    object BtnHide: TButton
      Left = 127
      Top = 8
      Width = 75
      Height = 25
      Caption = '&Hide'
      Default = True
      ModalResult = 1
      TabOrder = 0
      OnClick = BtnHideClick
    end
    object cbStayOnTop: TCheckBox
      Left = 24
      Top = 12
      Width = 81
      Height = 17
      Caption = 'Stay On Top'
      Checked = True
      State = cbChecked
      TabOrder = 1
      OnClick = cbStayOnTopClick
    end
  end
  object Memo1: TMemo
    Left = 0
    Top = 0
    Width = 316
    Height = 385
    Align = alClient
    Lines.Strings = (
      '6811/6812 Instruction Set'
      'Asterisk marks the new instructions not in the 6811'
      ''
      'ABA'#9'add accumulator B to accumulator A'
      'ABX'#9'add accumulator B to index reg. X'
      'ABY'#9'add accumulator B to index reg. Y'
      'ADCA'#9'add with carry to A'
      'ADCB'#9'add with carry to B'
      'ADDA'#9'add without carry to A'
      'ADDB'#9'add without carry to B'
      'ADDD'#9'add double accumulator'
      'ANDA'#9'logical and A'
      'ANDB'#9'logical and B'
      'ANDCC'#9'logical and CCR with mask *'
      'ASL'#9'arithmetic shift left memory'
      'ASLA'#9'arithmetic shift left A'
      'ASLB'#9'arithmetic shift left B'
      'ASLD'#9'arithmetic shift left double acc.'
      'ASR'#9'arithmetic shift right memory'
      'ASRA'#9'arithmetic shift right A'
      'ASRB'#9'arithmetic shift right B'
      'BCC'#9'branch if carry clear'
      'BCLR'#9'clear bit(s) in memory'
      'BCS'#9'branch if carry set'
      'BEQ'#9'branch if equal'
      'BGE'#9'branch if >= zero'
      'BGND'#9'enter background debug mode *'
      'BGT'#9'branch if > zero'
      'BHI'#9'branch if higher'
      'BHS'#9'branch if higher or same'
      'BITA'#9'bit test A'
      'BITB'#9'bit test B'
      'BLE'#9'branch if <= zero'
      'BLO'#9'branch if lower'
      'BLS'#9'branch if lower or same'
      'BLT'#9'branch if < zero'
      'BMI'#9'branch if minus'
      'BNE'#9'branch if not equal to zero'
      'BPL'#9'branch if plus'
      'BRA'#9'branch always'
      'BRCLR'#9'branch if bit(s) clear'
      'BRN'#9'branch never'
      'BRSET'#9'branch if bit(s) set'
      'BSET'#9'set bit(s) in memory'
      'BSR'#9'branch to subroutine'
      'BVC'#9'branch if overflow clear'
      'BVS'#9'branch if overflow set'
      'CALL'#9'call subroutine in extended memory *'
      'CBA'#9'compare accumulators'
      'CLC'#9'clear carry'
      'CLI'#9'clear interrupt mask'
      'CLR'#9'clear memory'
      'CLRA'#9'clear A'
      'CLRB'#9'clear B'
      'CLV'#9'clear two'#39's complement overflow bit'
      'CMPA'#9'compare A'
      'CMPB'#9'compare B'
      'COM'#9'complement memory'
      'COMA'#9'complement A'
      'COMB'#9'complement B'
      'CPD'#9'compare accumulator D'
      'CPS'#9'compare stack pointer *'
      'CPX'#9'compare index reg. X'
      'CPY'#9'compare index reg. Y'
      'DAA'#9'decimal adjust A'
      'DBEQ'#9'decrement and branch if equal to zero *'
      'DBNE'#9'decrement and branch if not equal to zero *'
      'DEC'#9'decrement memory'
      'DECA'#9'decrement A'
      'DECB'#9'decrement B'
      'DES'#9'decrement stack pointer'
      'DEX'#9'decrement index register X'
      'DEY'#9'decrement index register Y'
      'EDIV'#9'extended divide 32-bit by 16-bit (unsigned) *'
      'EDIVS'#9'extended divide 32-bit by 16-bit (signed) *'
      'EMACS'#9'extended multiply and accumulate (signed) *'
      'EMAXD'#9'max of 2 unsigned 16-bit values (result in D) *'
      'EMAXM'#9'max of 2 unsigned 16-bit values (result in mem) *'
      'EMIND'#9'min of 2 unsigned 16-bit values (result in D) *'
      'EMINM'#9'min of 2 unsigned 16-bit values (result in mem) *'
      'EMUL'#9'extended multiply 16-bit by 16-bit (unsigned) *'
      'EMULS'#9'extended multiply 16-bit by 16-bit (signed) *'
      'EORA'#9'exclusive or A'
      'EORB'#9'exclusive or B'
      'ETBL'#9'extended table lookup and interpolate *'
      'EXG'#9'exchange register contents *'
      'FDIV'#9'fractional divide'
      'IBEQ'#9'increment and branch if equal to zero *'
      'IBNE'#9'increment and branch if not equal to zero *'
      'IDIV'#9'integer divide'
      'IDIVS'#9'integer divide (signed) *'
      'INC'#9'increment memory'
      'INCA'#9'increment A'
      'INCB'#9'increment B'
      'INS'#9'increment stack pointer'
      'INX'#9'increment index register X'
      'INY'#9'increment index register Y'
      'JMP'#9'jump'
      'JSR'#9'jump to subroutine'
      'LBCC'#9'long branch if carry clear *'
      'LBCS'#9'long branch if carry set *'
      'LBEQ'#9'long branch if equal *'
      'LBGE'#9'long branch if greater than or equal to zero *'
      'LBGT'#9'long branch if greater than zero *'
      'LBHI'#9'long branch if higher *'
      'LBHS'#9'long branch if higher or same *'
      'LBLE'#9'long branch if less than or equal to zero *'
      'LBLO'#9'long branch if lower *'
      'LBLS'#9'long branch if lower or same *'
      'LBLT'#9'long branch if less than zero *'
      'LBMI'#9'long branch if minus *'
      'LBNE'#9'long branch if not equal to zero *'
      'LBPL'#9'long branch if plus *'
      'LBRA'#9'long branch always *'
      'LBRN'#9'long branch never *'
      'LBVC'#9'long branch if overflow clear *'
      'LBVS'#9'long branch if overflow set *'
      'LDAA'#9'load accumulator A'
      'LDAB'#9'load accumulator B'
      'LDD'#9'load double accumulator'
      'LDS'#9'load stack pointer'
      'LDX'#9'load index register X'
      'LDY'#9'load index register Y'
      'LEAS'#9'load stack pointer with effective address *'
      'LEAX'#9'load X with effective address *'
      'LEAY'#9'load Y with effective address *'
      'LSL'#9'logical shift left memory'
      'LSLA'#9'logical shift left A'
      'LSLB'#9'logical shift left B'
      'LSLD'#9'logical shift left double'
      'LSR'#9'logical shift right memory'
      'LSRA'#9'logical shift right A'
      'LSRB'#9'logical shift right B'
      'LSRD'#9'logical shift right double accumulator'
      'MAXA'#9'max of 2 unsigned 8-bit values (result in A) *'
      'MAXM'#9'max of 2 unsigned 8-bit values (result in mem) *'
      'MEM'#9'determine grade of membership *'
      'MINA'#9'min of 2 unsigned 8-bit values (result in A) *'
      'MINM'#9'min of 2 unsigned 8-bit values (result in mem) *'
      'MOVB'#9'move data from one memory byte to another *'
      'MOVW'#9'move data from one memory word to another *'
      'MUL'#9'multiply unsigned'
      'NEG'#9'negate memory'
      'NEGA'#9'negate A'
      'NEGB'#9'negate B'
      'NOP'#9'no operation'
      'ORAA'#9'inclusive or A'
      'ORAB'#9'inclusive or B'
      'ORCC'#9'logical or CCR with mask *'
      'PSHA'#9'push A onto stack'
      'PSHB'#9'push B onto stack'
      'PSHC'#9'push CCR onto stack *'
      'PSHD'#9'push double accumulator onto stack *'
      'PSHX'#9'push index reg. X onto stack'
      'PSHY'#9'push index reg. Y onto stack'
      'PULA'#9'pull A from stack'
      'PULB'#9'pull B from stack'
      'PULC'#9'pull CCR from stack *'
      'PULD'#9'pull double accumulator from stack *'
      'PULX'#9'pull index reg. X from stack'
      'PULY'#9'pull index reg. Y from stack'
      'REV'#9'fuzzy logic rule evaluation *'
      'REVW'#9'fuzzy logic rule evaluation (weighted) *'
      'ROL'#9'rotate left memory'
      'ROLA'#9'rotate left A'
      'ROLB'#9'rotate left B'
      'ROR'#9'rotate right memory'
      'RORA'#9'rotate right A'
      'RORB'#9'rotate right B'
      'RTC'#9'return from call *'
      'RTI'#9'return from interrupt'
      'RTS'#9'return from subroutine'
      'SBA'#9'subtract accumulators'
      'SBCA'#9'subtract with carry from A'
      'SBCB'#9'subtract with carry from B'
      'SEC'#9'set carry'
      'SEI'#9'set interrupt mask'
      'SEV'#9'set two'#39's complement overflow bit'
      'SEX'#9'sign extend into 16-bit register *'
      'STAA'#9'store accumulator A'
      'STAB'#9'store accumulator B'
      'STD'#9'store double accumulator'
      'STOP'#9'stop processing'
      'STS'#9'store stack pointer'
      'STX'#9'store index register X'
      'STY'#9'store index register Y'
      'SUBA'#9'subtract A'
      'SUBB'#9'subtract B'
      'SUBD'#9'subtract double accumulator'
      'SWI'#9'software interrupt'
      'TAB'#9'transfer from acc. A to acc. B'
      'TAP'#9'transfer from acc. A to CCR'
      'TBA'#9'transfer from acc. B to acc. A'
      'TBEQ'#9'test and branch if equal to zero *'
      'TBL'#9'table lookup and interpolate *'
      'TBNE'#9'test and branch if not equal to zero *'
      'TFR'#9'transfer register content to another register *'
      'TPA'#9'transfer from CCR to accumulator A'
      'TRAP'#9'unimplemented opcode trap'
      'TST'#9'test memory'
      'TSTA'#9'test A'
      'TSTB'#9'test B'
      'TSX'#9'transfer from SP to index reg. X'
      'TSY'#9'transfer from SP to index reg. Y'
      'TXS'#9'transfer from index reg. X to SP'
      'TYS'#9'transfer from index reg. Y to SP'
      'WAI'#9'wait for interrupts'
      'WAV'#9'weighted average *'
      'XGDX'#9'exchange double acc. and index reg. X'
      'XGDY'#9'exchange double acc. and index reg. Y')
    ReadOnly = True
    ScrollBars = ssVertical
    TabOrder = 1
  end
end
